Summary: RPM installer/updater
Name: yum
Version: 0.9.4
Release: 2f1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
BuildRequires: rpm-python python >= 1.5.2
Requires: rpm-python >= 4.0.2 perl python >= 1.5.2  rpm >= 4.0.2
Prereq: /sbin/chkconfig, /sbin/service

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%package conf
Summary: Configuration files for yum.
Group: System Environment/Base
Requires: %{name} zz_fermi-release

%description conf
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%build
%configure 
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
cd $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../bin/yum .
ln -s ../bin/yum-arch .

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post conf
if [ -f /etc/yum.conf ] ; then
	mv -f /etc/yum.conf /etc/yum.conf.%{version}.%{release}
fi
if [ -s /etc/fermi-release ] ; then
	RELEASE="$(cat /etc/fermi-release | cut -d' ' -f4 | tr -d .)"
else
	RELEASE="731"
fi
RELEASEPRE="$(echo $RELEASE | cut -c1,2)"
cat /etc/yum.conf.template | sed "s:FERMIRELEASE:$RELEASE:" > /etc/yum.conf
cat /etc/yum.conf.template | sed "s:FERMIRELEASE:${RELEASEPRE}1:" > /etc/yum.conf.${RELEASEPRE}1
cat /etc/yum.conf.template | sed "s:FERMIRELEASE:${RELEASEPRE}rolling:" > /etc/yum.conf.${RELEASEPRE}rolling
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
exit 0


%preun conf
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0


%files 
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%{_libdir}/yum/*
%{_sbindir}/yum
%{_sbindir}/yum-arch
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*

%files conf
%defattr(-, root, root)
%{_sysconfdir}/yum.conf.template
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/cron.daily/yum.cron
%config %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}

%changelog
* Thu Jan 02 2003 Troy Dawson <dawson@fnal.gov>
- Added yum repository to yum.conf

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to ver 0.9.4

* Thu Dec 05 2002 Troy Dawson <dawson@fnal.gov>
- Change config so that there is two extra config files, for rolling and regular
- Also made it so that the yum repository names are more specific

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Tue Aug 27 2002 Troy Dawson <dawson@fnal.gov>
- Fixed the config script with a little sanity checking.  So if you don't
  have a Fermi Linux release, you get pointed to 731.

* Tue Aug 27 2002 Troy Dawson <dawson@fnal.gov>
- Fermi-ized the release.  This includes
  Changed the spec file, so that there is a yum, and a yum-conf.
  Changed the conf file to point to the Fermi Repositories
  Changed the cron file to work with our workgroups

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
